javax.swing

## Interface ComboBoxEditor

All Known Implementing Classes:
  BasicComboBoxEditor, BasicComboBoxEditor.UIResource, MetalComboBoxEditor, MetalComboBoxEditor.UIResource

    public interface ComboBoxEditor

The editor component used for JComboBox components.

### Method Summary

Methods
`void` `addActionListener(ActionListener l)` Add an ActionListener.
`Component` `getEditorComponent()` Return the component that should be added to the tree hierarchy for this editor
`Object` `getItem()` Return the edited item
`void` `removeActionListener(ActionListener l)` Remove an ActionListener
`void` `selectAll()` Ask the editor to start editing and to select everything
`void` `setItem(Object anObject)` Set the item that should be edited.

### Method Detail

#### getEditorComponent

    Component getEditorComponent()

Return the component that should be added to the tree hierarchy for this editor

#### setItem

    void setItem(Object anObject)

Set the item that should be edited. Cancel any editing if necessary

#### getItem

    Object getItem()

Return the edited item

#### selectAll

    void selectAll()

Ask the editor to start editing and to select everything

#### addActionListener

    void addActionListener(ActionListener l)

Add an ActionListener. An action event is generated when the edited item changes

#### removeActionListener

    void removeActionListener(ActionListener l)

Remove an ActionListener

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.